Bug 25260 - Anaconda Error on Install
Anaconda Error on Install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-29 23:15 EST by Tim Brown
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-30 21:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Brown 2001-01-29 23:15:06 EST
While installing RH Linux Server 7.0 I get the following dump.  This 
occurs after the partitions formatted.  I am installing the US English 
version.  Looks to me like it wants a directory that isn't there.  
Hardware is Pentium 133, 64 MB RAM, 8GB HD (linux), 400 MB HD (DOS-16), S3 
868 video card with 4MB, Dell 868 SVGA Monitor, Realtek 10Mb, Realtek 
10/100Mb, and MS Bus mouse detected as generic PS/2.  Booting from CD ROM 
which is IDS as are the HD's.

Dump Text:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in 
doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + 
\
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 258, in 
filesystemSpace
    space.append((mntpoint, isys.fsSpaceAvailable(topMount + '/' + 
mntpoint)))
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /mnt/sysimage//home

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2001-01-30 16:40:22 EST
Was /home a formatted ext2 partition?
Comment 2 Tim Brown 2001-01-30 21:24:38 EST
My guess is, probably so.  I can't check right now.  The system had ManDrake 
Linux 7.2 on it before the Server install.  Should I blow away the partitions 
before the install of the 7.0 RH server?
Comment 3 Tim Brown 2001-01-30 23:58:28 EST
Deleted all partitions from the old Mandrake installation using DiskDruid and 
the install did not fail. Thx for your help.

Note You need to log in before you can comment on or make changes to this bug.